﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Xamarin.Forms;

namespace CollectionViewRowHeightTest
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        List<FileEntry> _fileEntries = new List<FileEntry>();

        public MainPage()
        {
            InitializeComponent();
            //BindingContext = this;

            var assembly = System.Reflection.IntrospectionExtensions.GetTypeInfo(this.GetType()).Assembly;
            using (var stream = assembly.GetManifestResourceStream("CollectionViewRowHeightTest.testdata.json"))
            {
                string text = "";
                using (var reader = new System.IO.StreamReader(stream))
                {
                    text = reader.ReadToEnd();
                }

                if (String.IsNullOrWhiteSpace(text) == false)
                {
                    var fileEntries = JsonConvert.DeserializeObject<List<FileEntry>>(text);
                    _fileEntries.AddRange(fileEntries);
                }
            }

            MainCollectionView.ItemsSource = _fileEntries;
        }
    }
}
